Package org.jfree.layouting.input.style.values

## Class CSSValuePair

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSValuePair

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSValuePair
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 15.04.2006, 10:56:53
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSValuePair​(CSSValue firstValue)` |
    `CSSValuePair​(CSSValue firstValue, CSSValue secondValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `CSSValue` | `getFirstValue​()` |
    `CSSValue` | `getSecondValue​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSValuePair

          public CSSValuePair​(CSSValue firstValue)

    - #### CSSValuePair

          public CSSValuePair​(CSSValue firstValue,
                              CSSValue secondValue)

  - ### Method Detail

    - #### getFirstValue

          public CSSValue getFirstValue​()

    - #### getSecondValue

          public CSSValue getSecondValue​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`